<template>
            <el-row v-for="(post,index) in postList.arr" style="width: 100%;">
                    <el-card id="post-card" shadow="never">
                        <el-row>
                            <el-col :span="2">
                                <el-avatar :size="50" :src="`api/schoolCloud/${post.avater}`" />
                            </el-col>
                            <el-col :span="8" style="padding-top: 10px;">
                                <h3 class="p-user-name">{{ post.uname }}</h3>
                                <div class="p-addtime">{{ post.create_time }}</div>
                            </el-col>
                            <el-col :span="11">
                            <!-- <p>{{ postList.users[index].uname }}</p> -->
                            </el-col>
                            <el-col :span="3" style="text-align: center;">
                                <!-- <el-button type="primary" round>关注</el-button> -->
                                <!-- <el-button type="info" round>已关注</el-button> -->
                            </el-col>
                        </el-row>
                        <el-row class="p-com-row">
                            <el-col :span="22">
                                <div class="p-title" @click="toPostDatail(post.id)">
                                    <el-tag class="ml-2" type="danger" effect="dark">热帖</el-tag>
                                    {{ post.title }}
                                </div>
                            <div class="p-coment">
                                {{ post.coment }}
                            </div>
                            <div class="p-imgL" v-if="post.type_id == 1">
                                <el-row>
                                    <el-col :span="5" v-for="(url,index) in post.urlList" :key="index">
                                        <el-image :src="`api/schoolCloud/${url}`" style="height: 100%;width: 100%;" fit="cover"
                                        :zoom-rate="1.2"
                                        :preview-src-list="getUlist(post.urlList)"
                                        :initial-index="4"></el-image>
                                    </el-col>
                                </el-row>
                            </div>
                            <div class="p-video" v-else-if="post.type_id == 2">
                                <video
                                    width="520"
                                    height="270"
                                    :src="`api/schoolCloud/${post.video}`"
                                    controls
                                >
                                    您的浏览器不支持 video 标签。
                                </video>
                            </div>
                            </el-col>
                        </el-row>
                        <el-row class="p-foot-row">
                            <el-col :span="3">
                                <!-- <el-tag class="ml-2" type="info">{{ post.topic }}</el-tag> -->
                            </el-col>
                                <el-col :span="13">
                            </el-col>
                            <el-col :span="8">
                                <el-row>
                                    <el-col :span="8">
                                    <!-- 点赞 -->
                                    <el-icon><Pointer /></el-icon>
                                    <span>{{ post.up }}</span>
                                    </el-col>
                                    <el-col :span="8">
                                    <!-- 评论 -->
                                    <el-icon><ChatLineSquare /></el-icon>
                                    <span>{{ post.collNum }}</span>
                                    </el-col>
                                    <el-col :span="8">
                                    <!-- 收藏 -->
                                    <el-icon><Star /></el-icon>
                                    <span>{{ post.collection }}</span>
                                    </el-col>
                                </el-row>
                            </el-col>
                        </el-row>
                    </el-card>
                </el-row>
</template>

<script lang="ts" setup>
import { onMounted, onUpdated, ref } from 'vue';
import axios from 'axios';
import qs from 'qs';
import { reactive } from 'vue';
import { useRoute, useRouter } from 'vue-router';
const lunBoList = [
            'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b61.jpg',
            'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b62.jpg',
            'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b63.jpg'
        ];
onMounted(() => {
    geeAll();
        }
)
// onUpdated(() => {
//     geeAll();
// })
const geeAll=()=>{
    axios.get('/api/schoolCloud/pages/selectPost.php')
        .then(res => {
          console.log(res.data)  
          postList.arr = res.data;
          (postList.arr).forEach(element => {
            // getPimg(parseInt(element.id))
            axios.post('/api/schoolCloud/pages/selectPimg.php', qs.stringify({pid:element.id}))
                .then(res => {
                    Reflect.set(element, 'urlList', res.data)
                // 根据返回的响应数据进行相应的操作
                }).catch(err => {
                console.log(err)
                });
                // axios.post('/api/schoolCloud/pages/selectUser.php', qs.stringify({uid:element.user_id}))
                // .then(res => {                    
                //     userss.value.push(res.data);
                // // 根据返回的响应数据进行相应的操作
                // }).catch(err => {
                // console.log(err)
                // })
          });       
            // 根据返回的响应数据进行相应的操作
            }).catch(err => {
            console.log(err)
            })
}
// $router.push('/postDeils')
const postList = reactive({
    arr:[
        {
                    id:0,
                    title:'',
                    coment:'',
                    avater:'api/schoolCloud/assets/image/avater/avater1.jpg',
                    uname:'1112',
                    user_id:0,
                    comments:0,
                    up:0,
                    collection:0,
                    create_time:'',
                    Views:0,
                    type_id:0,
                    topic_id:0,
                    urlList:[],
                    video:'',

                },
],
users:[
    {
        Phone: "18174462803",
    avater: "/assets/image/avater/avater1.jpg",
    city_id: "1",
    class: "213546",
    creat_time: "2023-05-18",
    id: "1",
    paw: "qq123124",
    pro_id: "15",
    school: "张家界航院",
    school_id: "2",
    sex: "男",
    signature: "时有好梦，亦怀爱意，向人间老去。",
    uname: "芹菜粉",
    user_type: "3",
    utype:'',
    postNum:0,
    collNum:0,
    replyNum:0,
    }
]
})
const getUlist = (arr:Array<String>) =>{
    const arr1: string[] = [];
    arr.forEach(element => {
        arr1.push(`api/schoolCloud/${element}`);
    });
    return arr1;
}
const userList = reactive([
                        {
                        uid:1,
                        avater:'api/schoolCloud/assets/image/avater/avater1.jpg',
                        name:'靛蓝二乘',
                        sign:'时有好梦，亦怀爱意，向人间老去',
                        postNum:12,
                        Fans:11,
                        Atten:20,
                    },
                    {
                        uid:2,
                        avater:'api/schoolCloud/assets/image/avater/avater1.jpg',
                        name:'芹菜粉',
                        sign:'阿尔吉侬的花束',
                        postNum:9,
                        Fans:6,
                        Atten:10,
                    },
                    {
                        uid:2,
                        avater:'api/schoolCloud/assets/image/avater/avater1.jpg',
                        name:'芹菜粉',
                        sign:'阿尔吉侬的花束',
                        postNum:9,
                        Fans:6,
                        Atten:10,
                    },
                    {
                        uid:2,
                        avater:'api/schoolCloud/assets/image/avater/avater1.jpg',
                        name:'芹菜粉',
                        sign:'阿尔吉侬的花束',
                        postNum:9,
                        Fans:6,
                        Atten:10,
                    },
                    {
                        uid:2,
                        avater:'api/schoolCloud/assets/image/avater/avater1.jpg',
                        name:'芹菜粉',
                        sign:'阿尔吉侬的花束',
                        postNum:9,
                        Fans:6,
                        Atten:10,
                    }
                    ])
const router = useRouter();
const toPostDatail = (pid:number)=>{
    router.push({ path: `/postDeils/${pid}` });
}
</script>

<style lang="less" scoped>
#post-card{
    width: 100%;
    letter-spacing: 2px;
    .p-user-name{
        font-size: 18px;
        font-weight: 600;
        padding-bottom: 5px;
    }
    .p-addtime{
        font-size: 13x;
        color: #505050;
    }
    .p-com-row{
        // padding: 10px 0;
        .p-title{
            padding: 15px 0;
            // float:;
            font-size: 20px;
            font-weight: bolder;
        }
        .p-title:hover{
            color: rgb(66, 164, 255);
            // color: rgb(118, 182, 247);
        }
        .p-coment{
            padding-bottom: 10px;
        } 
        .p-imgL{
            padding: 10px 0;
            .el-image{
                padding: 0 5px;
            }
        }
    }
    .p-foot-row{
        font-size: 19px;
        padding-top: 20px;
        // border-top:1px #ababab solid;
        .el-tag:hover{
            color: rgb(66, 164, 255);
        }
        .el-icon{
            margin-right: 10px;
        }
        }
}
</style>